--
-- IBM Relationship Resolution v4.2.0 February 28, 2008 hot-fix for the
-- Configuration Console.  Please run this SQL script on your Configuration
-- Console database schema. It will be the schema containing the
-- SQL_SCRIPT_STATEMENTS and SQL_SCRIPT_PARAM_MAPPINGS database tables.
-- This script will fix a bug where the Setup > Resolution > Resolution Configs
-- screen doesn't consider all appropriate information when cloning or deleting
-- a Resolution Configuration record.  After this script has been executed and
-- committed, a new/cloned Resolution Configuration record can be used with
-- IBM Global Name Recognition products.
--
-- IMPORTANT: Please be sure to COMMIT all changes after this script has
--            successfully executed.
--
-- Licensed Materials - Property of IBM. ?Copyright IBM Corporation 2008.
-- All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corporation.
-- IBM and the IBM logo are registered trademarks of International Business
-- Machines Corporation in the United States, other countries, or both.
--


INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','generic',4,'INSERT INTO las_config ( mm_config_id, match_level, culture, sur_name_mode, sur_anchor_seg, sur_check_init, sur_check_variant, sur_check_bias, sur_check_comp, sur_check_taq, sur_anchor_factor, sur_taq_dis_abs_factor, sur_taq_del_abs_factor, sur_taq_del_factor, sur_taq_dis_factor, sur_exact_init_score, sur_init_score, sur_oop_score, sur_comp_score, sur_threshold, sur_weight, giv_name_mode, giv_anchor_seg, giv_check_init, giv_check_variant, giv_check_bias, giv_check_comp, giv_check_taq, giv_anchor_factor, giv_taq_dis_abs_factor, giv_taq_del_abs_factor, giv_taq_del_factor, giv_taq_dis_factor, giv_exact_init_score, giv_init_score, giv_oop_score, giv_comp_score, giv_threshold, giv_weight, last_name_unk, first_name_unk, no_last_name_score, no_first_name_score, name_threshold ) ( SELECT ?, match_level, culture, sur_name_mode, sur_anchor_seg, sur_check_init, sur_check_variant, sur_check_bias, sur_check_comp, sur_check_taq, sur_anchor_factor, sur_taq_dis_abs_factor, sur_taq_del_abs_factor, sur_taq_del_factor, sur_taq_dis_factor, sur_exact_init_score, sur_init_score, sur_oop_score, sur_comp_score, sur_threshold, sur_weight, giv_name_mode, giv_anchor_seg, giv_check_init, giv_check_variant, giv_check_bias, giv_check_comp, giv_check_taq, giv_anchor_factor, giv_taq_dis_abs_factor, giv_taq_del_abs_factor, giv_taq_del_factor, giv_taq_dis_factor, giv_exact_init_score, giv_init_score, giv_oop_score, giv_comp_score, giv_threshold, giv_weight, last_name_unk, first_name_unk, no_last_name_score, no_first_name_score, name_threshold FROM las_config WHERE mm_config_id = ? )',NULL,NULL,NULL);
INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','generic',5,'INSERT INTO las_comp_parms_config ( mm_config_id, config_id, culture, fieldtype, namethreshold, threshold, weight, scoretype, leftbias, nonamescore, nameunknownscore, matchvariants, matchinitials, initialontokenscore, initialoninitialscore, oopsfactor, anchortype, anchorfactor, docompressedscore, compressedscoremax, scoremode, missingstemfactor, missingtaqfactor, diftaqfactor, matchfieldvariants, fieldvariantscore ) ( SELECT ?, config_id, culture, fieldtype, namethreshold, threshold, weight, scoretype, leftbias, nonamescore, nameunknownscore, matchvariants, matchinitials, initialontokenscore, initialoninitialscore, oopsfactor, anchortype, anchorfactor, docompressedscore, compressedscoremax, scoremode, missingstemfactor, missingtaqfactor, diftaqfactor, matchfieldvariants, fieldvariantscore FROM las_comp_parms_config WHERE mm_config_id = ? )',NULL,NULL,NULL);

INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','oracle',4,'INSERT INTO las_config ( mm_config_id, match_level, culture, sur_name_mode, sur_anchor_seg, sur_check_init, sur_check_variant, sur_check_bias, sur_check_comp, sur_check_taq, sur_anchor_factor, sur_taq_dis_abs_factor, sur_taq_del_abs_factor, sur_taq_del_factor, sur_taq_dis_factor, sur_exact_init_score, sur_init_score, sur_oop_score, sur_comp_score, sur_threshold, sur_weight, giv_name_mode, giv_anchor_seg, giv_check_init, giv_check_variant, giv_check_bias, giv_check_comp, giv_check_taq, giv_anchor_factor, giv_taq_dis_abs_factor, giv_taq_del_abs_factor, giv_taq_del_factor, giv_taq_dis_factor, giv_exact_init_score, giv_init_score, giv_oop_score, giv_comp_score, giv_threshold, giv_weight, last_name_unk, first_name_unk, no_last_name_score, no_first_name_score, name_threshold ) ( SELECT ?, match_level, culture, sur_name_mode, sur_anchor_seg, sur_check_init, sur_check_variant, sur_check_bias, sur_check_comp, sur_check_taq, sur_anchor_factor, sur_taq_dis_abs_factor, sur_taq_del_abs_factor, sur_taq_del_factor, sur_taq_dis_factor, sur_exact_init_score, sur_init_score, sur_oop_score, sur_comp_score, sur_threshold, sur_weight, giv_name_mode, giv_anchor_seg, giv_check_init, giv_check_variant, giv_check_bias, giv_check_comp, giv_check_taq, giv_anchor_factor, giv_taq_dis_abs_factor, giv_taq_del_abs_factor, giv_taq_del_factor, giv_taq_dis_factor, giv_exact_init_score, giv_init_score, giv_oop_score, giv_comp_score, giv_threshold, giv_weight, last_name_unk, first_name_unk, no_last_name_score, no_first_name_score, name_threshold FROM las_config WHERE mm_config_id = ? )',NULL,NULL,NULL);
INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','oracle',5,'INSERT INTO las_comp_parms_config ( mm_config_id, config_id, culture, fieldtype, namethreshold, threshold, weight, scoretype, leftbias, nonamescore, nameunknownscore, matchvariants, matchinitials, initialontokenscore, initialoninitialscore, oopsfactor, anchortype, anchorfactor, docompressedscore, compressedscoremax, scoremode, missingstemfactor, missingtaqfactor, diftaqfactor, matchfieldvariants, fieldvariantscore ) ( SELECT ?, config_id, culture, fieldtype, namethreshold, threshold, weight, scoretype, leftbias, nonamescore, nameunknownscore, matchvariants, matchinitials, initialontokenscore, initialoninitialscore, oopsfactor, anchortype, anchorfactor, docompressedscore, compressedscoremax, scoremode, missingstemfactor, missingtaqfactor, diftaqfactor, matchfieldvariants, fieldvariantscore FROM las_comp_parms_config WHERE mm_config_id = ? )',NULL,NULL,NULL);

INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','db2',4,'INSERT INTO las_config ( mm_config_id, match_level, culture, sur_name_mode, sur_anchor_seg, sur_check_init, sur_check_variant, sur_check_bias, sur_check_comp, sur_check_taq, sur_anchor_factor, sur_taq_dis_abs_factor, sur_taq_del_abs_factor, sur_taq_del_factor, sur_taq_dis_factor, sur_exact_init_score, sur_init_score, sur_oop_score, sur_comp_score, sur_threshold, sur_weight, giv_name_mode, giv_anchor_seg, giv_check_init, giv_check_variant, giv_check_bias, giv_check_comp, giv_check_taq, giv_anchor_factor, giv_taq_dis_abs_factor, giv_taq_del_abs_factor, giv_taq_del_factor, giv_taq_dis_factor, giv_exact_init_score, giv_init_score, giv_oop_score, giv_comp_score, giv_threshold, giv_weight, last_name_unk, first_name_unk, no_last_name_score, no_first_name_score, name_threshold ) ( SELECT CAST(? AS INTEGER), match_level, culture, sur_name_mode, sur_anchor_seg, sur_check_init, sur_check_variant, sur_check_bias, sur_check_comp, sur_check_taq, sur_anchor_factor, sur_taq_dis_abs_factor, sur_taq_del_abs_factor, sur_taq_del_factor, sur_taq_dis_factor, sur_exact_init_score, sur_init_score, sur_oop_score, sur_comp_score, sur_threshold, sur_weight, giv_name_mode, giv_anchor_seg, giv_check_init, giv_check_variant, giv_check_bias, giv_check_comp, giv_check_taq, giv_anchor_factor, giv_taq_dis_abs_factor, giv_taq_del_abs_factor, giv_taq_del_factor, giv_taq_dis_factor, giv_exact_init_score, giv_init_score, giv_oop_score, giv_comp_score, giv_threshold, giv_weight, last_name_unk, first_name_unk, no_last_name_score, no_first_name_score, name_threshold FROM las_config WHERE mm_config_id = ? )',NULL,NULL,NULL);
INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','db2',5,'INSERT INTO las_comp_parms_config ( mm_config_id, config_id, culture, fieldtype, namethreshold, threshold, weight, scoretype, leftbias, nonamescore, nameunknownscore, matchvariants, matchinitials, initialontokenscore, initialoninitialscore, oopsfactor, anchortype, anchorfactor, docompressedscore, compressedscoremax, scoremode, missingstemfactor, missingtaqfactor, diftaqfactor, matchfieldvariants, fieldvariantscore ) ( SELECT CAST(? AS INTEGER), config_id, culture, fieldtype, namethreshold, threshold, weight, scoretype, leftbias, nonamescore, nameunknownscore, matchvariants, matchinitials, initialontokenscore, initialoninitialscore, oopsfactor, anchortype, anchorfactor, docompressedscore, compressedscoremax, scoremode, missingstemfactor, missingtaqfactor, diftaqfactor, matchfieldvariants, fieldvariantscore FROM las_comp_parms_config WHERE mm_config_id = ? )',NULL,NULL,NULL);

INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.delete-settings','generic',4,'DELETE FROM las_config WHERE mm_config_id = ?',NULL,NULL,NULL);
INSERT INTO sql_script_statements (script_name,db_type,sequence_number,sql_fragment_1,sql_fragment_2,sql_fragment_3,sql_fragment_4) VALUES ('com.srdnet.app.console.resolution.config.delete-settings','generic',5,'DELETE FROM las_comp_parms_config WHERE mm_config_id = ?',NULL,NULL,NULL);



INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','generic',4,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','generic',4,2,'sourceID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','generic',5,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','generic',5,2,'sourceID',NULL);

INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','oracle',4,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','oracle',4,2,'sourceID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','oracle',5,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','oracle',5,2,'sourceID',NULL);

INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','db2',4,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','db2',4,2,'sourceID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','db2',5,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.copy-initial-settings','db2',5,2,'sourceID',NULL);

INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.delete-settings','generic',4,1,'targetID',NULL);
INSERT INTO sql_script_param_mappings (script_name,db_type,sequence_number,stmt_param_index,script_param_name,prev_stmt_result_index) VALUES ('com.srdnet.app.console.resolution.config.delete-settings','generic',5,1,'targetID',NULL);

